use "C:\Users\user\Desktop\GSS2018.dta", clear
preserve
keep id childs agekdbrn buyvalue coeduc hompop coninc paeduc padeg marital degree educ realrinc relig
recode relig (1/2=1) (10/11=1) (3=2) (4=3) (9=4) (5/8=5) (12/13=5),gen(religion)
label define religion 1 "christian" 2 "jewish" 3 "none" 4 "moslems" 5 "others"
label values religion religion
recode marital (1/4=1) (5=0),gen(single)
label define single 0 "single" 1 "married"
label values single single

save jacksonpart2,replace
//14
sum agekdbrn childs coeduc educ realrinc
tab religion
//15
histogram childs, frequency normal
sum childs,detail
//16
poisson childs educ i.religion agekdbrn coeduc realrinc
nbreg childs educ i.religion agekdbrn coeduc realrinc
//17
poisson childs educ i.religion agekdbrn coeduc realrinc
estimates store pr
nbreg childs educ i.religion agekdbrn coeduc realrinc
estimates store nbr
zip childs educ i.religion agekdbrn coeduc realrinc, inflate(single)
estimates store ZIP
zinb childs educ i.religion coeduc,inflate(single)
estimates store ZINB

//19
quietly poisson childs educ i.religion  coeduc coninc
prcounts poisson,plot max(8)
quietly nbreg childs educ i.religion  coeduc coninc
prcounts nbreg,plot max(8)
quietly zip childs educ i.religion  coeduc coninc,inflate(single)
prcounts ZIP,plot max(8)
quietly zinb childs educ i.religion  coeduc coninc,inflate(single)
label var poissonpreq "PRM"
label var poissonobeq "Observed"
label var poissonval  "Number of children"
label var nbregpreq "NBM"
label var ZIPpreq "ZIP"
graph twoway (scatter poissonobeq poissonpreq nbregpreq ZIPpreq poissonval,connect(1 1 1 1) xlabel(0(1)9) ytitle("probability"))

//20
quietly zip childs educ religion  coeduc coninc,inflate(single)
prgen educ,gen(educa)
twoway connected educas0 educas1 educas2 educas3 educas4 educas5 educas6 educas7 educas8 educax
//21
quietly zip childs educ religion  coeduc coninc,inflate(single)
prvalue, x(religion=1) rest(mean) maxcnt(8) save
prvalue, x(religion=2) rest(mean) maxcnt(8) save
prvalue, x(religion=3) rest(mean) maxcnt(8) save
prvalue, x(religion=4) rest(mean) maxcnt(8) save
prvalue, x(religion=5) rest(mean) maxcnt(8) save

//extra credit
//2
ologit degree coninc i.padeg hompop i.religion
estimates store ol
quietly ologit degree coninc padeg hompop religion
brant, detail
//3
mlogit degree coninc i.padeg hompop i.religion
estimates store ml
mlogtest,combine
//4
estimates table ol ml,star stats(N)
